package cn.iocoder.yudao.module.system.service.extra;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.extra.vo.PartyBCertificatePageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.extra.ElderlyExtraPartyBCertificateDO;
import java.util.List;

public interface ElderlyExtraPartyBCertificateService {
    Long create(ElderlyExtraPartyBCertificateDO createReqVO);
    void update(ElderlyExtraPartyBCertificateDO updateReqVO);
    void delete(Long id);
    PageResult<ElderlyExtraPartyBCertificateDO> findPage(PartyBCertificatePageReqVO reqVO);
    ElderlyExtraPartyBCertificateDO getDetail(Long id);
    List<ElderlyExtraPartyBCertificateDO> getListByElderId(Long elderId);
}
